// **************************************************
// This file is part of the ROPI Library.
// Written by Marc Goerigk
// Institut für Numerische und Angewandte Mathematik
// Georg-August Universität Göttingen
// **************************************************

/*! \file error.h
 * \brief Header for error class.
 */

#ifndef _ERROR_H_
#define _ERROR_H_

#include<string>

namespace ROPI
{

  /// Error class thrown by ROPI.
  class Error
  {
    public:
      /// Constructor with error message.
      Error(std::string _mesg) : mesg(_mesg) {};
      
      /// Returns the error message.
      std::string get_mesg() {return mesg;};
      
    private:
    
	  /// Error message.
      std::string mesg;
  };

}
#endif
