// **************************************************
// This file is part of the ROPI Library.
// Written by Marc Goerigk
// Institut für Numerische und Angewandte Mathematik
// Georg-August Universität Göttingen
// **************************************************

#include "lp.h"
#include "lpimpl.h"

using namespace std;
using namespace ROPI;

LP::LP()
{
  lpimpl = new LPimpl();
}

LP::~LP()
{
  delete lpimpl;
}

void LP::add_var(Var _var)
{
  lpimpl->add_var(_var);
}

list<Var>* LP::get_vars()
{
  return lpimpl->get_vars();
}

int LP::get_num_vars()
{
  return lpimpl->get_num_vars();
}

void LP::add_con(Con _con)
{
  lpimpl->add_con(_con);
}

list<Con>* LP::get_cons()
{
  return lpimpl->get_cons();
}

int LP::get_num_cons()
{
  return lpimpl->get_num_cons();
}

void LP::set_sense(OBJ_SENSE _sen)
{
  lpimpl->set_sense(_sen);
}

OBJ_SENSE LP::get_sense()
{
  return lpimpl->get_sense();
}

void LP::set_name(string _name)
{
  lpimpl->set_name(_name);
}

string LP::get_name()
{
  return lpimpl->get_name();
}

LPTYPE LP::get_lptype()
{
  return lpimpl->get_lptype();
}

void LP::read_mpsfile(string file)
{
  lpimpl->read_mpsfile(file);
}


void LP::write_plain(ostream &out)
{
  lpimpl->write_plain(out);
}
