// **************************************************
// This file is part of the ROPI Library.
// Written by Marc Goerigk
// Institut für Numerische und Angewandte Mathematik
// Georg-August Universität Göttingen
// **************************************************

#ifndef _RIMPL_RECFEAS_H_
#define _RIMPL_RECFEAS_H_

#include "robustimpl.h"
#include<set>

namespace ROPI
{
  class Rimpl_Recfeas : public RobustImpl
  {
    public:
      Rimpl_Recfeas(LP* _lp) : lp(_lp) {};
      LP generate_robust();
      Robustness_Method get_type();
      
      void exclude_variable(int id);
      
    private:      
      LP generate_finite_l1_median();
      LP generate_finite_linfty_median();
      LP generate_finite_l1_center();
      LP generate_finite_linfty_center();
      
      std::set<int> excluded;
      LP* lp;
  };
}

#endif
