// **************************************************
// This file is part of the ROPI Library.
// Written by Marc Goerigk
// Institut für Numerische und Angewandte Mathematik
// Georg-August Universität Göttingen
// **************************************************

#ifndef _RIMPL_RECOPT_H_
#define _RIMPL_RECOPT_H_

#include "robustimpl.h"
#include<set>
#include<vector>

namespace ROPI
{
  class Rimpl_Recopt : public RobustImpl
  {
    public:
      Rimpl_Recopt(LP* _lp) : lp(_lp) {};
      LP generate_robust();
      Robustness_Method get_type();
      
    private:      
      LP generate_finite_l1_median_simple();
      LP generate_finite_linfty_median_simple();
      LP generate_finite_l1_center_simple();
      LP generate_finite_linfty_center_simple();
      
      LP generate_finite_l1_median_extended();
      LP generate_finite_linfty_median_extended();
      LP generate_finite_l1_center_extended();
      LP generate_finite_linfty_center_extended();
      
      std::vector<std::vector<double> > pre_solutions();
      std::vector<double> presolve();
      
      LP* lp;
  };
}

#endif
