// **************************************************
// This file is part of the ROPI Library.
// Written by Marc Goerigk
// Institut für Numerische und Angewandte Mathematik
// Georg-August Universität Göttingen
// **************************************************

#ifndef _ROBUSTIMPL_H_
#define _ROBUSTIMPL_H_

#include "robustness.h"

namespace ROPI
{
 class RobustImpl
 {
   public:
     virtual LP generate_robust() = 0;
     void set_uncertainty(FiniteUncertainty _unc)
     {
       finunc = _unc;
       unctype = UNC_FINITE;
     };
     virtual Robustness_Method get_type() = 0;
     void set_options(RobustnessOptions _options)
     {
		options = _options;
     };
     
   protected:
     Uncertainty_Type unctype;
     FiniteUncertainty finunc;
     RobustnessOptions options;
 };
  
}

#endif
