// **************************************************
// This file is part of the ROPI Library.
// Written by Marc Goerigk
// Institut für Numerische und Angewandte Mathematik
// Georg-August Universität Göttingen
// **************************************************

#ifndef _SOLVER_CPLEX_H_
#define _SOLVER_CPLEX_H_

#include "solverimpl.h"
#include<map>

class IloEnv;
class IloModel;
class IloCplex;
class IloNumVarArray;

namespace ROPI
{
  
 class Solver_cplex : public SolverImpl
  {
    public:
      //delete
      Solver_cplex(LP* _lp);
      ~Solver_cplex();
      void init();
      void solve();
      void write_solution(std::ostream &out, double eps);
      std::vector<double> get_solution();
      static bool available();
      double get_objective();
   private:
      IloEnv* env;
      IloModel* model;
      IloCplex* cplex;
      IloNumVarArray* vars;
      std::map<int,int> idposmap;
 };
}

#endif
