// **************************************************
// This file is part of the ROPI Library.
// Written by Marc Goerigk
// Institut für Numerische und Angewandte Mathematik
// Georg-August Universität Göttingen
// **************************************************

#ifndef _SOLVER_GUROBI_H_
#define _SOLVER_GUROBI_H_

#include "solverimpl.h"

class GRBEnv;
class GRBModel;

namespace ROPI
{
  
 class Solver_gurobi : public SolverImpl
  {
    public:
      Solver_gurobi(LP* _lp);
      ~Solver_gurobi();
      void init();
      void solve();
      void write_solution(std::ostream &out, double eps);
      std::vector<double> get_solution();
      static bool available();
      double get_objective();
   private:
      GRBEnv* env;
      GRBModel* model;
 };
}

#endif
