// **************************************************
// This file is part of the ROPI Library.
// Written by Marc Goerigk
// Institut für Numerische und Angewandte Mathematik
// Georg-August Universität Göttingen
// **************************************************

#ifndef _SOLVER_XPRESS_H_
#define _SOLVER_XPRESS_H_

#include "solverimpl.h"

namespace dashoptimization
{
  class XPRBprob;
}

namespace ROPI
{
  
 class Solver_xpress : public SolverImpl
  {
    public:
      //delete
      Solver_xpress(LP* _lp);
      ~Solver_xpress();
      void init();
      void solve();
      void write_solution(std::ostream &out, double eps);
      std::vector<double> get_solution();
      static bool available();
      double get_objective();
   private:
      dashoptimization::XPRBprob* model;
 };
}

#endif
