// **************************************************
// This file is part of the ROPI Library.
// Written by Marc Goerigk
// Institut für Numerische und Angewandte Mathematik
// Georg-August Universität Göttingen
// **************************************************

#ifndef _SOLVERIMPL_H_
#define _SOLVERIMPL_H_

#include"solver.h"
#include<ostream>

namespace ROPI
{
  
  class LP;
  
 class SolverImpl
 {
   public:
     virtual void init() = 0;
     virtual void solve() = 0;
     void set_options(SolverOptions _options)
     {
	   options = _options;
     };
     SOLVERSTATUS get_status()
     {
       return status;
     }
     
     virtual void write_solution(std::ostream &out, double eps) = 0;
     virtual std::vector<double> get_solution() = 0;
     virtual double get_objective() = 0;
     
   protected:
     LP* lp;
     SolverOptions options;
     SOLVERSTATUS status;
 };
  
}

#endif
